;͸
;The Wrath of Zalthar v0.1s                                                  
; (C)1996/97 by Andreas Ess                                                     
;;
;#include "ti-85.h"
#include "usgard.h"

POSY  =   TEXT_MEM      ;position on map
POSX  =   TEXT_MEM+1
RELY  =   TEXT_MEM+2    ;relative position
RELX  =   TEXT_MEM+3
SCREEN =  TEXT_MEM+4
MAGIC =   TEXT_MEM+5
POWER =   TEXT_MEM+6
GOLD  =   TEXT_MEM+7
SCROFSX = TEXT_MEM+8    ;left upper corner of map
SCROFSY = TEXT_MEM+9
PARTY =   TEXT_MEM+10   ;who's the second one?
POWER2 =  TEXT_MEM+11
LIVE2 =	  TEXT_MEM+12
MAGIC2 =  TEXT_MEM+13   ;his magic & power
GOLD2  =  TEXT_MEM+14
GUYPT =	  TEXT_MEM+15	;who's the second guy(image pointer)

GrafxPt   = TEXT_MEM2
Color     = TEXT_MEM2+2
Data      = TEXT_MEM2+3
KEYPRESS  = TEXT_MEM2+4

ScrXSize = 12
ScrYSize = 5

.org 0

TitleStr:
 .db "The Wrath of Zalthar",0

StartGame:
	ld	HL, &Graphics
	ld   	(GrafxPt), HL
	ld   	HL, 0
	ld   	(SCROFSX), HL
	set  	3, (IY+05)
	call	&GrayScaleOn
;** Title:
	set  	3, (IY+05)
	call	&ClrScr
	ld	DE, 9*16
	call	&FillBlack
	ld	HL, &TitlePic
	ld   	BC, 0
	call	&DeGCP
	ld	HL, $0003
	ld	(CURSOR_ROW), HL
	ld	HL, &StartScr
	call	D_ZT_STR
WaitKey:
	call 	GET_KEY
	and  	A
	jr 	z, WaitKey
	cp   	K_F1
	jr 	z, StartNewGame
	cp   	K_F2
	jr 	nz, WaitKey
StartNewGame:
	ld	DE, 9*16
	call	&FillBlack
	ld	HL, &TitlePic
	ld   	BC, 0
	call	&DeGCP
	ld	HL, $0A1C
	ld	(CURSOR_X), HL
	ld	HL, &Select
	call	D_ZM_STR
	ld	C, 1
	jr	DrawMember
SelectLoop:
	call	GET_KEY
	cp	K_ENTER
	jp	z, &Selected
	cp	K_UP
	jr	z, NextMember
	cp	K_DOWN
	jr	nz, SelectLoop
NextMember:
	dec	C
	jr	nz, DrawMember
	ld	C, 4
DrawMember:
	push	BC
	ld	DE, 16*16
	call	&FillBlack
	pop	BC
	ld	H, 0
	ld	L, C
	dec	L
	add	HL, HL
	add	HL, HL
	add	HL, HL
	add	HL, HL
	add	HL, HL
	add	HL, HL
	ld	DE, &Ritter
	add	HL, DE
	ex	DE, HL
	push	BC
	ld	BC, $0120
	call	&Sprite16
	pop	BC
	ld	HL, &MemberData
	ld	DE, 12
	ld	B, C
	dec	B
	jr	z, GetDataDone
GetData:
	add	HL, DE
	djnz	GetData
GetDataDone:
	ld	DE, $3005
	ld	(CURSOR_X), DE
	call	D_ZM_STR
	ld	DE, $1C58
	ld	(CURSOR_X), DE
	push	HL
	ld	A, C
	ld	DE, POWER2
	ld	BC, 4
	ldir
	ld	C, A
	pop	HL
	ld	B, 4
TextLoop:
	push	HL
	ld	L, (HL)
	ld	H, 0
	call	DM_HL_DECI
	pop	HL
	inc	HL
	ld	A, ($8334)
	add	A, 6
	ld	($8334), A
	ld	A, $58
	ld	($8333), A
	djnz	TextLoop
	ld	DE, $1C40
	ld	(CURSOR_X), DE
	ld	HL, &PowerTxt
	ld	B, 4
TextDescrLoop:
	call	D_ZM_STR
	ld	A, ($8334)
	add	A, 6
	ld	($8334), A
	ld	A, $40
	ld	($8333), A
	djnz	TextDescrLoop
	jp	&SelectLoop
Selected:
	ld	A, C
	dec	A
	ld	(PARTY), A
	ld	L, 0
	rra
	rr	L
	rra
	rr	L
	ld	H, A
	ld	DE, &Ritter
	add	HL, DE
	ld	(GUYPT), HL

	ld	A, 19
	ld	(POWER), A
	ld	A, 3
	ld	(MAGIC), A
StartScene:
	call	&ClrScr
	ld	HL, &GameScreen
	ld   	BC, 0
	call	&DeGCP
	set  	3, (IY+05)
	ld	DE, &Menu_Normal
	call	&WriteMenu
	ld	IX, &MountainMap
	call	&DecompMap
	ld	DE, (GUYPT)
	ld	BC, $0A2B
	call	&Sprite16

	ld   	HL, $0502
	ld   	(POSY), HL
	call	&DrawState
	ld   	BC, $0A02
	jp	&RedrawScene

;
;The GAMEdjnz
;
Gamedjnz:
	halt
	call 	GET_KEY
	and  	A
	jr   	z, Gamedjnz
	ld   	(KEYPRESS), A
	cp   	K_LEFT
	jr 	nz, TestRight
	ld   	HL, POSX
	ld   	A, (HL)
	and  	A
	jr 	z, TestRight
	dec  	(HL)
	call	&RetField
	jr	nc, TestLeft_No
	dec  	B
	ld   	A, B
	cp   	6
	jr	nc, TestRight
	ld   	A, (SCROFSX)
	and  	A
	jr 	z, TestRight
	inc  	B
	dec  	A
	ld   	(SCROFSX), A
	jr   	TestRight
TestLeft_No:
	inc  	(HL)
TestRight:
	ld   	A, (KEYPRESS)
	cp   	K_RIGHT
	jr 	nz, TestUp
	ld   	HL, POSX
	ld   	A, (HL)
	cp   	39
	jr 	z, TestUp
	inc  	(HL)
	call	&RetField
	jr	nc, TestRight_No
	inc  	B
	ld   	A, B
	cp   	12
	jr	c, TestUp
	ld   	A, (SCROFSX)
	cp  	29
	jr 	z, TestRight
	dec  	B
	inc  	A
	ld   	(SCROFSX), A
	jr   	TestUp
TestRight_No:
	dec  	(HL)
TestUp:
	ld   	A, (KEYPRESS)
	cp   	K_UP
	jr 	nz, TestDown
	ld   	HL, POSY
	ld   	A, (HL)
	and  	A
	jr 	z, TestDown
	dec  	(HL)
	call	&RetField
	jr	nc, TestUp_No
	dec  	C
	ld   	A, C
	cp   	1
	jr	nc, TestDown
	ld   	A, (SCROFSY)
	and  	A
	jr 	z, TestDown
	inc  	C
	dec  	A
	ld   	(SCROFSY), A
	jr   	TestDown
TestUp_No:
	inc  	(HL)
TestDown:
	ld   	A, (KEYPRESS)
	cp   	K_DOWN
	jr 	nz,  TestSpells
	ld   	HL, POSY
	ld   	A, (HL)
	cp   	19
	jr 	z, TestSpells
	inc  	(HL)
	call	&RetField
	jr	nc, TestDown_No
	inc  	C
	ld   	A, C
	cp   	4
	jr	c, TestSpells
	ld   	A, (SCROFSY)
	cp   	14
	jr 	z, TestSpells
	dec  	C
	inc  	A
	ld   	(SCROFSY), A
	jr   	TestSpells
TestDown_No:
	dec  	(HL)
TestSpells:
	ld   	A, (KEYPRESS)
	cp   	K_F1
	jr 	nz, TestUse1
TestUse1:
	cp   	K_F2
	jr 	nz,  TestInv1
TestInv1:
	cp   	K_F3
	jr 	nz,  TestInv2
TestUse2:
	cp   	K_F4
	jr 	nz,  TestInv2
TestInv2:
	cp   	K_F5
	jr 	nz,  TestExit
TestExit:
	cp   	K_EXIT
	jr 	z,   ExitGame
TestSave:
	cp   	K_ENTER
	jr 	nz,  RedrawScene
RedrawScene:
	call	&TownMap
	ld	DE, &Zalthar
	call	&Sprite8
	ld   	A, R
	cp   	7
	jr	nc, J2Gamedjnz
;	jp	&Enemy
J2Gamedjnz:
	jp	&Gamedjnz

ExitGame:
	call	&GrayScaleOff
	ret

;
;WriteMenu
;
WriteMenu:
	ld  	HL, $3A02
	ld  	($8333), HL
	ex	DE, HL		;Usgard version needs this, cause all calls have menu data in de.
	call	D_ZM_STR
	ld  	C, $22
	ld  	DE, $3A22
	ld  	($8333), DE
	ld  	B, 4
MenuLoop:
	call	D_ZM_STR
	ld  	A, C
	add 	A, 24
	ld  	C, A
	ld  	($8333), A
	djnz	MenuLoop
	ret

;
;Enemy
;
Enemy:
	push	BC
;First, redraw whole screen.
	call	&ClrScr
	ld	HL, &GameScreen
	ld   	BC, 0
	call	&DeGCP
	ld	HL, (Page1K)
	ld	D, H
	ld	E, L
	inc	DE
	ld	(HL), 15
	ld	BC, 799
	ldir
	call	&TownMap
	ld	DE, &Menu_Fight
	call	&WriteMenu
	ld	HL, &Zalthar
	call	&Sprite8
;action gone, redraw original map
	call	OTH_PAUSE
	pop	BC
	jp	&StartScene

;
;DispText
;
DispText:
	ld  	($8333), HL
	ex	DE, HL
	call	D_ZM_STR
	ret

;
;RetField
;
RetField:
	push 	BC
	push 	HL
	ld   	BC, (POSY)
	ld	HL, (Page1K)
	ld   	DE, 40
	ld   	A, C
	and  	A
	jr   	z, RetFieldDone
RetFielddjnz:
	add	HL, DE
	dec  	C
	jr   	nz, RetFielddjnz
RetFieldDone:
	ld   	E, B
	add  	HL, DE
	ld   	A, (HL)
	pop  	HL
	pop  	BC
	cp   	16
	ret

;
;ClrScr: clear inactive page at (Page1Addr) & (Page2Addr)
;
ClrScr:
	ld   	HL, (Page1Addr)
	ld	BC, 1023
	call	OTH_CLEAR
	ld	HL, (Page2Addr)
	ld   	BC, 1023
 	call	OTH_CLEAR
	ret

;
;FillBlack
;
FillBlack:
	ld	HL, 1024
	or	A
	sbc	HL, DE
	ld	B, H
	ld	C, L
	push	BC
	push	DE
	ld	HL, (Page1Addr)
	add	HL, DE
	ld	(HL), 255
	call	OTH_FILL
	pop	DE
	pop	BC
	ld	HL, (Page2Addr)
	add	HL, DE
	ld	(HL), 255
	call	OTH_FILL
	ret

;
;DecompMap decompresses map at IX -> Page1K
;
DecompMap:
	ld   	HL, (Page1K)
	ld   	DE, 800
Decompdjnz:
	ld   	A, (IX)
	cp	193
	jr	c, NoRLE
	sub	192
	ld	B, A
	inc	IX
	ld	A, (IX)
RLEloop:
	ld	(HL), A
	inc	HL
	dec	DE
	djnz	RLEloop
	jr	Decompdjnz_1
NoRLE:
	ld	(HL), A
	inc	HL
	dec	DE
Decompdjnz_1:
	inc	IX
	ld	A, D
	or	E
	jr	nz,  Decompdjnz
	ret

;
;Draws a 'town'-map: Map -> (Page1K), Basepicture -> GrafxPt
;
TownMap:
	push	BC
	ld	BC, (SCROFSX)
	ld	HL, (Page1K)
	ld	DE, 40
	ld	A, B
	and 	A
	jr	z, TM_NoAddY
TownMapAddY:
	add	HL, DE
	djnz	TownMapAddY
TM_NoAddY
	add	HL, BC
	ld	DE, (GrafxPt)
	ld	C, 0
TownMap_Ydjnz:
	ld	B, 5
TownMap_Xdjnz:
	push	DE
	ld	A, (HL)
	push	HL
	ld   	H, 0
	ld	L, A
	add	HL, HL
	add	HL, HL
	add	HL, HL
	add	HL, HL
	add	HL, DE
	ex	DE, HL
	pop	HL
	call	&Sprite8
	pop	DE
	inc	HL
	inc	B
	ld	A, B
	cp	15
	jr 	nz, TownMap_Xdjnz
	push 	DE
	ld   	DE, 30
	add	HL, DE
	pop 	DE
	inc	C
	ld	A, C
	cp	5
	jr	nz, TownMap_Ydjnz
	pop	BC
	ret

;
;Sprite8: draws sprite %DE at (B*8,C*8)
;
Sprite8:
	push	HL
	push	BC
	push	DE
	pop	IX
;calculate offset
	ld	H, C             ;calculate offset: HL = C*16+B
	ld   	L, 0
	srl  	H
	rr   	L
	ld   	D, 0
	ld   	E, B
	add  	HL, DE
	ld   	B, H
	ld   	C, L
	ld	HL, (Page2Addr)
	add	HL, BC
	ex	DE, HL
	ld	HL, (Page1Addr)
	add	HL, BC
	ld	B, 8
Sprite8L1:
	ld	A, (IX)
	ld	(HL), A
	ld	A, (IX+8)
	ld	(DE), A
	push	BC
	ld 	BC, 16
	add	HL, BC
	ex 	DE, HL
	add	HL, BC
	ex	DE, HL
	pop  	BC
	inc  	IX
	djnz 	Sprite8L1
	pop  	BC
	pop  	HL
	ret

;
;Sprite16: draws sprite %DE at (B*8,C)
;
Sprite16:
	push	HL
	push	BC
	push	DE
	pop	IX
;calculate offset
	ld	H, 0
	ld	L, C
	add	HL, HL
	add	HL, HL
	add	HL, HL
	add	HL, HL
	ld   	D, 0
	ld   	E, B
	add  	HL, DE
	ld   	B, H
	ld   	C, L
	ld	HL, (Page2Addr)
	add	HL, BC
	ex	DE, HL
	ld	HL, (Page1Addr)
	add	HL, BC
	ld	B, 16
Sprite16L1:
	ld	A, (IX)
	ld	(HL), A
	ld	A, (IX+32)
	ld	(DE), A
	inc	IX
	inc	DE
	inc	HL
	ld	A, (IX)
	ld	(HL), A
	ld	A, (IX+32)
	ld	(DE), A
	push	BC
	ld	BC, 15
	add	HL, BC
	ex	DE, HL
	add	HL, BC
	ex	DE, HL
	pop	BC
	inc	IX
	djnz	Sprite16L1
	pop	BC
	pop	HL
	ret

;
;DrawState
;
DrawState:
	push	BC
	ld	BC, (43*16)+6
	ld	A, (MAGIC)
	call	&DrawBar
	ld	BC, (43*16)+12
	ld	A, (MAGIC2)
	call	&DrawBar
	ld	BC, (48*16)+6
	ld	A, (POWER)
	call	&DrawBar
	ld	BC, (48*16)+12
	ld	A, (POWER2)
	call	&DrawBar
	pop	BC
	ret

;
;DrawBar, BC = offset, A = x size, y size = 4
;
DrawBar:
	and	A
	ret	z
	ld	HL, (Page2Addr)
	add	HL, BC
	ld	D, 4
DrawBar_OutLoop:
	push	AF
	push	HL
	ld	B, A
	ld	C, %01111111
DrawBar_Loop:
	ld	A, (HL)
	and	C
	ld	(HL), A
	rrc	C
	jr	c, DrawBar_Loop_
	inc	HL
DrawBar_Loop_:
	djnz	DrawBar_Loop
	pop	HL
	ld	BC, 16
	add	HL, BC
	pop	AF
	dec	D
	jr	nz, DrawBar_OutLoop
	ret

;
;Data:
;
Menu_Normal:
 .db "ITEM",0,"USE",0,"INV.",0
 .db "USE",0,"INV.",0

Menu_Fight:
 .db "SPELL",0,"FIGHT",0,"MAGIC",0
 .db "FIGHT",0,"MAGIC",0

Select:
 .db "SELECT A PARTY MEMBER:",0

StartScr:
     ;012345678901234567890
 .db " [F1] Start game     "
 .db " [F2] Load game      ",0

GameScreen:
 .db $5F,$44,$3F,$3F,$37,$45,$BA,$A0,$1C,$43,$3F,$3F,$38,$45,$BA,$84,$91
 .db $84,$91,$84,$91,$84,$91,$84,$91,$83,$A9,$3F,$3F,$36,$46,$BC,$3E,$8A
 .db $A9,$3F,$3F,$35,$BE,$A5,$AC,$A6,$99,$A6,$99,$A6,$99,$A6,$99,$A6,$99
 .db $8E,$44,$9A,$5F,$5F,$51,$BB,$A6,$AE,$5F,$BE,$A9,$3F,$3F,$34,$BB,$44
 .db $BA,$BB,$AE,$BB,$AE,$BB,$AE,$BB,$AE,$BB,$AE,$45,$3F,$3F,$35,$49,$31
 .db $0D,$AB,$44,$9A,$5F,$5F,$53,$26,$A5,$2A,$12,$5F,$5F,$5D,$23,$44,$27
 .db $17,$A5,$5F,$5F,$5E,$BA,$26,$18,$A5,$24,$A5,$3F,$3F,$31,$45,$BA,$A5
 .db $23,$19,$A9,$96,$3F,$3F,$35,$49,$24,$1A,$A5,$3F,$3F,$38,$49,$23,$1B
 .db $A6,$5F,$5F,$58,$63,$43,$BE,$23,$1B,$A5,$43,$BB,$7F,$7F,$75,$46,$94
 .db $1B,$A9,$AB,$5F,$5F,$55,$64,$45,$94,$1B,$A9,$9A,$BB,$7F,$7F,$72,$AB
 .db $64,$A9,$1D,$A9,$96,$A6,$5F,$5F,$59,$B8,$1D,$45,$96,$3F,$3F,$33,$44
 .db $9A,$A8,$1D,$47,$9A,$5F,$5F,$53,$23,$44,$1E,$AF,$63,$A6,$5F,$5F,$52
 .db $BA,$46,$1E,$43,$BE,$A6,$5F,$5F,$52,$BA,$A5,$96,$1E,$44,$B9,$3F,$3F
 .db $34,$A9,$25,$A0,$1C,$AB,$43,$99,$3F,$3F,$32,$A5,$23,$43,$1E,$44,$96
 .db $5F,$5F,$54,$99,$9A,$43,$1E,$AB,$A5,$A6,$5F,$5F,$5B,$1E,$46,$BB,$7F
 .db $7F,$72,$45,$BA,$A0,$1C,$A5,$A9,$5F,$5F,$5E,$1E,$44,$96,$5F,$5F,$5D
 .db $1E,$44,$23,$A5,$3F,$3F,$34,$46,$1E,$43,$24,$A5,$3F,$3F,$35,$AB,$B8
 .db $1D,$43,$24,$A5,$3F,$3F,$36,$AB,$B0,$1C,$BA,$3F,$3F,$3D,$43,$B0,$1C
 .db $BA,$24,$A5,$3F,$3F,$36,$44,$1E,$BA,$96,$5F,$5F,$55,$9A,$45,$B0,$1C
 .db $BA,$A6,$BB,$7F,$7F,$72,$28,$B0,$1C,$44,$9A,$5F,$5F,$54,$23,$44,$9C
 .db $1D,$BE,$A6,$5F,$5F,$5A,$BA,$B0,$1C,$BA,$96,$BB,$7F,$7F,$72,$43,$63
 .db $AB,$1D,$AE,$96,$5F,$5F,$5B,$BA,$B0,$19,$44,$96,$47,$9A,$46,$9A,$23
 .db $43,$25,$AE,$A9,$23,$44,$9A,$A5,$AB,$BA,$23,$4B,$96,$A9,$9A,$4A,$96
 .db $AB,$1C,$AB,$96,$44,$23,$49,$9A,$9A,$44,$23,$46,$23,$45,$9B,$B9,$AE
 .db $43,$9A,$44,$9A,$A6,$96,$44,$9A,$A9,$96,$AE,$A5,$23,$B0,$19,$43,$B0
 .db $0E,$3F,$90,$0E,$3F,$9C,$19,$44,$B0,$82,$44,$07,$76,$AF,$BB,$43,$B0
 .db $0E,$76,$AF,$BB,$43,$BC,$18,$45,$B0,$8A,$46,$05,$76,$AB,$AB,$AF,$A0
 .db $0E,$76,$AB,$AB,$AF,$A8,$16,$48,$03,$49,$04,$76,$AE,$BB,$43,$B0,$0E
 .db $76,$AE,$BB,$43,$B8,$14,$4A,$82,$4A,$03,$76,$AF,$BB,$AF,$B0,$0E,$76
 .db $AF,$BB,$AF,$B8,$11,$4D,$82,$4A,$03,$3F,$90,$0E,$3F,$98,$0F,$4F,$8A
 .db $4B,$83,$75,$AF,$BB,$43,$B0,$0E,$76,$AF,$BB,$43,$B8,$0D,$56,$9A,$9A
 .db $43,$83,$75,$AF,$BB,$AF,$A0,$0E,$76,$AF,$BB,$AF,$A8,$0A,$58,$9F,$8F
 .db $9A,$A0,$76,$45,$BA,$AC,$0F,$76,$45,$BA,$AE,$5F,$44,$06,$9A,$A0,$76
 .db $AF,$BB,$AF,$B0,$0E,$76,$AF,$BB,$AF,$B8,$1D,$45,$06,$9A,$43,$3F,$90
 .db $0E,$3F,$91,$84,$91,$84,$91,$84,$91,$84,$91,$84,$90,$8A,$A4,$84,$86
 .db $44,$3F,$90,$0E,$3F,$91,$3D,$81,$43,$9F,$B6,$45,$3F,$90,$0E,$3F,$92
 .db $99,$A6,$99,$A6,$99,$A6,$99,$A6,$99,$A4,$03,$A9,$03,$A9,$8A,$A5,$3E
 .db $10,$3F,$9A,$5E,$03,$96,$24,$81,$03,$3F,$90,$0E,$3F,$9A,$BB,$AE,$BB
 .db $AE,$BB,$AE,$BB,$AE,$BB,$AE,$10,$3F,$90,$0E,$3F,$90,$1F,$1F,$1F,$1F
 .db $03,$3D,$A8,$36,$A1,$35,$A1,$35,$A1,$35,$A1,$3B,$43,$85,$33,$A8,$35
 .db $A8,$35,$A8,$35,$A8,$3B,$44,$85,$32,$43,$85,$32,$43,$85,$32,$43,$85
 .db $32,$43,$85,$37,$46,$85,$31,$44,$85,$31,$44,$85,$31,$44,$85,$31,$44
 .db $85,$34,$49,$85,$2F,$46,$85,$2F,$46,$85,$2F,$46,$85,$2F,$46
 .db $00

TitlePic:
#include "title.asm"

Zalthar:
 .db $1C,$14,$36,$3E,$1C,$36,$22,$63
 .db $00,$08,$08,$7F,$1C,$36,$22,$63

Ritter:
 .db $03,$80,$05,$C0,$08,$E0,$11,$F0,$20,$F8,$23,$F8,$3F,$F8,$20,$08
 .db $24,$48,$20,$08,$11,$10,$17,$D0,$1B,$B0,$08,$20,$1F,$F0,$7F,$FC
 .db $03,$80,$06,$40,$0F,$20,$1E,$10,$3F,$08,$3C,$08,$3F,$F8,$20,$08
 .db $24,$48,$20,$08,$11,$10,$17,$D0,$18,$30,$08,$20,$E7,$CE,$80,$03

Henker:
 .db $03,$C0,$0F,$F0,$1F,$F8,$3F,$FC,$7F,$FE,$67,$E6,$73,$CE,$71,$8E
 .db $7F,$FE,$7F,$FE,$7F,$FE,$7F,$FE,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $03,$C0,$0C,$30,$10,$08,$20,$04,$58,$1A,$7C,$3E,$56,$6A,$51,$8A
 .db $4E,$72,$40,$02,$40,$02,$20,$04,$20,$04,$10,$08,$08,$10,$07,$E0

Woman:
 .db $03,$E0,$0F,$F8,$1F,$FE,$3F,$FF,$7F,$DF,$7D,$8F,$70,$07,$63,$33
 .db $E0,$03,$E0,$03,$E0,$02,$F0,$02,$F1,$E2,$F8,$04,$FC,$08,$FE,$10
 .db $00,$20,$00,$F8,$03,$FE,$07,$FF,$0F,$FF,$1F,$FF,$30,$0F,$23,$37
 .db $20,$07,$20,$07,$60,$06,$70,$0E,$71,$EE,$F8,$1C,$FC,$38,$FF,$F0

Wizard:
 .db $06,$60,$0C,$30,$18,$18,$38,$1C,$30,$0C,$26,$64,$20,$04,$20,$04
 .db $30,$0C,$38,$1C,$1F,$F8,$1F,$F8,$0F,$F0,$07,$E0,$03,$C0,$01,$80
 .db $06,$60,$0C,$30,$18,$18,$38,$1C,$30,$0C,$26,$64,$20,$04,$20,$04
 .db $30,$0C,$38,$1C,$1F,$F8,$1C,$38,$1F,$F8,$7F,$FE,$FF,$FF,$FF,$FF

MemberData:
;Format:(1 member=12 bytes)
;Name, zero terminated
;POWER
;LIVES
;MAGIC POINTS
;GOLD COINS
;TYPE
 .db "Rupert",0,15,16,4,10,1
 .db "Nikola",0,15,20,3,0,1
 .db "Ariane",0,12,11,6,30,2
 .db "Merlin",0,8,11,16,2,2

PowerTxt:
 .db "POWER:",0
LivesTxt:
 .db "LIVES:",0
MagicTxt:
 .db "MAGIC:",0
GoldTxt:
 .db "GOLD:",0

;#include wozgray.asm
#include UsgWGray.asm
#include Usggcp.asm
#include wozmap.h

.end
